GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
gtpin::GtSrcModifier Class Reference
GTPin: GEN Architecture

Modifier of the source operand. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtSrcModifier (GED_SRC_MOD v=GED_SRC_MOD_INVALID)
| Conversion constructor.
constexpr | operator GED_SRC_MOD () const
| Conversion operator.
constexpr bool | IsValid () const
| Accessors.
constexpr bool | IsNormal () const
| Return true for normal (void) modifier.
constexpr bool | IsNegative () const
| Return rue for negation modifier.
const char * | ToString () const
| Return true string representation.
## Static Public Member Functions
static constexpr GtSrcModifier | Normal ()
| Make normal modifier.
static constexpr GtSrcModifier | Negative ()
| Make negation modifier.

## Detailed Description

Modifier of the source operand.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT